
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 0



/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 1 "parser.y"

/*-------------------------------------------------------------------------
 * parser.y
 *
 *	The slonik command language grammar
 *
 *	Copyright (c) 2003-2009, PostgreSQL Global Development Group
 *	Author: Jan Wieck, Afilias USA INC.
 *
 *	
 *-------------------------------------------------------------------------
 */

#include "postgres.h"
#include "libpq-fe.h"
#include "slonik.h"
#include "scan.h"


/*
 * Common per statement possible option strcture
 */
typedef struct statement_option {
	option_code	opt_code;
	int			lineno;
	int			ival;
	char	   *str;
} statement_option;
#define	STMT_OPTION_INT(_code,_dfl)		{_code, -1, _dfl, NULL}
#define	STMT_OPTION_STR(_code,_dfl)		{_code, -1, -1, _dfl}
#define	STMT_OPTION_YN(_code,_dfl)		{_code, -1, _dfl, NULL}
#define STMT_OPTION_END					{END_OF_OPTIONS, -1, -1, NULL}


/*
 * Global data
 */
char   *current_file = "<stdin>";
#ifdef DEBUG
int yydebug=1;
#endif
/*
 * Local functions
 */
static int	assign_options(statement_option *so, option_list *ol);





/* Line 189 of yacc.c  */
#line 124 "y.tab.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     K_ADD = 258,
     K_ADMIN = 259,
     K_ALL = 260,
     K_BACKUP = 261,
     K_CLIENT = 262,
     K_CLONE = 263,
     K_CLUSTER = 264,
     K_CLUSTERNAME = 265,
     K_COMMENT = 266,
     K_CONFIRMED = 267,
     K_CONFIG = 268,
     K_CONNINFO = 269,
     K_CONNRETRY = 270,
     K_COPY = 271,
     K_CREATE = 272,
     K_DROP = 273,
     K_ECHO = 274,
     K_ERROR = 275,
     K_EVENT = 276,
     K_EXECUTE = 277,
     K_EXIT = 278,
     K_FAILOVER = 279,
     K_FALSE = 280,
     K_FILENAME = 281,
     K_FINISH = 282,
     K_FOR = 283,
     K_FORWARD = 284,
     K_FULL = 285,
     K_FUNCTIONS = 286,
     K_ID = 287,
     K_INIT = 288,
     K_KEY = 289,
     K_LISTEN = 290,
     K_LOCK = 291,
     K_LOG = 292,
     K_MERGE = 293,
     K_MOVE = 294,
     K_NAME = 295,
     K_NEW = 296,
     K_NO = 297,
     K_NODE = 298,
     K_OFF = 299,
     K_OLD = 300,
     K_OMIT = 301,
     K_ON = 302,
     K_ONLY = 303,
     K_ORIGIN = 304,
     K_PATH = 305,
     K_PREPARE = 306,
     K_PROVIDER = 307,
     K_QUALIFIED = 308,
     K_RECEIVER = 309,
     K_REPAIR = 310,
     K_RESTART = 311,
     K_SCRIPT = 312,
     K_SECONDS = 313,
     K_SEQUENCE = 314,
     K_SERVER = 315,
     K_SET = 316,
     K_STORE = 317,
     K_SUBSCRIBE = 318,
     K_SUCCESS = 319,
     K_SWITCH = 320,
     K_TABLE = 321,
     K_TIMEOUT = 322,
     K_TRUE = 323,
     K_TRY = 324,
     K_UNINSTALL = 325,
     K_UNLOCK = 326,
     K_UNSUBSCRIBE = 327,
     K_UPDATE = 328,
     K_YES = 329,
     K_WAIT = 330,
     K_SYNC = 331,
     K_SLEEP = 332,
     T_IDENT = 333,
     T_LITERAL = 334,
     T_NUMBER = 335
   };
#endif
/* Tokens.  */
#define K_ADD 258
#define K_ADMIN 259
#define K_ALL 260
#define K_BACKUP 261
#define K_CLIENT 262
#define K_CLONE 263
#define K_CLUSTER 264
#define K_CLUSTERNAME 265
#define K_COMMENT 266
#define K_CONFIRMED 267
#define K_CONFIG 268
#define K_CONNINFO 269
#define K_CONNRETRY 270
#define K_COPY 271
#define K_CREATE 272
#define K_DROP 273
#define K_ECHO 274
#define K_ERROR 275
#define K_EVENT 276
#define K_EXECUTE 277
#define K_EXIT 278
#define K_FAILOVER 279
#define K_FALSE 280
#define K_FILENAME 281
#define K_FINISH 282
#define K_FOR 283
#define K_FORWARD 284
#define K_FULL 285
#define K_FUNCTIONS 286
#define K_ID 287
#define K_INIT 288
#define K_KEY 289
#define K_LISTEN 290
#define K_LOCK 291
#define K_LOG 292
#define K_MERGE 293
#define K_MOVE 294
#define K_NAME 295
#define K_NEW 296
#define K_NO 297
#define K_NODE 298
#define K_OFF 299
#define K_OLD 300
#define K_OMIT 301
#define K_ON 302
#define K_ONLY 303
#define K_ORIGIN 304
#define K_PATH 305
#define K_PREPARE 306
#define K_PROVIDER 307
#define K_QUALIFIED 308
#define K_RECEIVER 309
#define K_REPAIR 310
#define K_RESTART 311
#define K_SCRIPT 312
#define K_SECONDS 313
#define K_SEQUENCE 314
#define K_SERVER 315
#define K_SET 316
#define K_STORE 317
#define K_SUBSCRIBE 318
#define K_SUCCESS 319
#define K_SWITCH 320
#define K_TABLE 321
#define K_TIMEOUT 322
#define K_TRUE 323
#define K_TRY 324
#define K_UNINSTALL 325
#define K_UNLOCK 326
#define K_UNSUBSCRIBE 327
#define K_UPDATE 328
#define K_YES 329
#define K_WAIT 330
#define K_SYNC 331
#define K_SLEEP 332
#define T_IDENT 333
#define T_LITERAL 334
#define T_NUMBER 335




#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 54 "parser.y"

	int32		ival;
	char		*str;
	option_list	*opt_list;
	SlonikAdmInfo	*adm_info;
	SlonikStmt	*statement;



/* Line 214 of yacc.c  */
#line 330 "y.tab.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 342 "y.tab.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  4
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   344

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  89
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  63
/* YYNRULES -- Number of rules.  */
#define YYNRULES  144
/* YYNRULES -- Number of states.  */
#define YYNSTATES  313

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   335

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      86,    87,     2,     2,    88,    85,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,    82,
       2,    81,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    83,     2,    84,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     7,    14,    16,    19,    28,    30,    33,
      35,    37,    39,    46,    54,    62,    69,    75,    81,    87,
      89,    92,    94,    96,    98,   100,   102,   104,   106,   108,
     110,   112,   114,   116,   118,   120,   122,   124,   126,   128,
     130,   132,   134,   136,   138,   140,   142,   144,   146,   148,
     150,   152,   154,   156,   159,   161,   163,   165,   167,   172,
     177,   183,   185,   188,   191,   196,   201,   206,   210,   215,
     220,   225,   230,   235,   240,   245,   250,   255,   260,   266,
     272,   278,   284,   290,   296,   301,   306,   311,   316,   321,
     326,   331,   336,   342,   348,   353,   357,   361,   363,   368,
     370,   374,   378,   383,   388,   392,   396,   400,   405,   410,
     415,   420,   424,   428,   432,   436,   440,   445,   450,   455,
     460,   466,   470,   474,   478,   482,   486,   490,   495,   499,
     505,   509,   511,   513,   515,   517,   519,   521,   523,   525,
     527,   529,   531,   533,   535
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
      90,     0,    -1,    91,    92,    94,    -1,   151,     9,    40,
      81,   149,    82,    -1,    93,    -1,    93,    92,    -1,   151,
      43,   148,     4,    14,    81,   150,    82,    -1,    95,    -1,
      95,    94,    -1,    96,    -1,   100,    -1,   135,    -1,   151,
      69,    83,    99,    84,    97,    -1,   151,    69,    83,    99,
      84,    98,    97,    -1,   151,    69,    83,    99,    84,    97,
      98,    -1,   151,    69,    83,    99,    84,    98,    -1,   151,
      69,    83,    99,    84,    -1,    47,    20,    83,    94,    84,
      -1,    47,    64,    83,    94,    84,    -1,   101,    -1,   101,
      99,    -1,   102,    -1,   103,    -1,   104,    -1,   107,    -1,
     108,    -1,   109,    -1,   110,    -1,   111,    -1,   112,    -1,
     113,    -1,   114,    -1,   115,    -1,   116,    -1,   117,    -1,
     118,    -1,   119,    -1,   120,    -1,   121,    -1,   122,    -1,
     123,    -1,   124,    -1,   125,    -1,   126,    -1,   127,    -1,
     128,    -1,   129,    -1,   130,    -1,   131,    -1,   132,    -1,
     133,    -1,   134,    -1,   137,    -1,   106,    82,    -1,   138,
      -1,   139,    -1,   100,    -1,   136,    -1,   151,    19,   150,
      82,    -1,   151,    23,   105,    82,    -1,   151,    56,    43,
     148,    82,    -1,    80,    -1,    85,   105,    -1,   151,     1,
      -1,   151,    33,     9,   140,    -1,   151,    62,    43,   140,
      -1,   151,    18,    43,   140,    -1,   151,    24,   140,    -1,
     151,    70,    43,   140,    -1,   151,     8,    51,   140,    -1,
     151,     8,    27,   140,    -1,   151,    62,    50,   140,    -1,
     151,    18,    50,   140,    -1,   151,    62,    35,   140,    -1,
     151,    18,    35,   140,    -1,   151,    17,    61,   140,    -1,
     151,    18,    61,   140,    -1,   151,    38,    61,   140,    -1,
     151,    61,     3,    66,   140,    -1,   151,    61,     3,    59,
     140,    -1,   151,    61,    18,    66,   140,    -1,   151,    61,
      18,    59,   140,    -1,   151,    61,    39,    66,   140,    -1,
     151,    61,    39,    59,   140,    -1,   151,    63,    61,   140,
      -1,   151,    72,    61,   140,    -1,   151,    36,    61,   140,
      -1,   151,    71,    61,   140,    -1,   151,    39,    61,   140,
      -1,   151,    22,    57,   140,    -1,   151,    73,    31,   140,
      -1,   151,    55,    13,   140,    -1,   151,    75,    28,    21,
     140,    -1,   151,    75,    28,    21,   140,    -1,   151,    65,
      37,   140,    -1,   151,    76,   140,    -1,   151,    77,   140,
      -1,    82,    -1,    86,   141,    87,    82,    -1,   142,    -1,
     142,    88,   141,    -1,    32,    81,   143,    -1,     6,    43,
      81,   143,    -1,    21,    43,    81,   143,    -1,    60,    81,
     143,    -1,     7,    81,   143,    -1,    49,    81,   143,    -1,
      45,    49,    81,   143,    -1,    46,    16,    81,   145,    -1,
      41,    49,    81,   143,    -1,    41,    61,    81,   143,    -1,
      54,    81,   143,    -1,    52,    81,   143,    -1,    15,    81,
     143,    -1,    11,    81,   144,    -1,    14,    81,   144,    -1,
      61,    32,    81,   143,    -1,     3,    32,    81,   143,    -1,
      43,    32,    81,   143,    -1,    66,    32,    81,   143,    -1,
      30,    53,    40,    81,   144,    -1,    34,    81,   144,    -1,
      29,    81,   145,    -1,    26,    81,   144,    -1,    49,    81,
       5,    -1,    12,    81,   143,    -1,    12,    81,     5,    -1,
      75,    47,    81,   143,    -1,    67,    81,   143,    -1,    22,
      48,    47,    81,   143,    -1,    58,    81,   143,    -1,   148,
      -1,   150,    -1,   146,    -1,   147,    -1,    74,    -1,    47,
      -1,    68,    -1,    42,    -1,    44,    -1,    25,    -1,    80,
      -1,    78,    -1,    79,    -1,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   215,   215,   230,   236,   238,   242,   260,   262,   266,
     268,   270,   274,   291,   309,   327,   344,   361,   364,   368,
     370,   374,   376,   378,   380,   382,   384,   386,   388,   390,
     392,   394,   396,   398,   400,   402,   404,   406,   408,   410,
     412,   414,   416,   418,   420,   422,   424,   426,   428,   430,
     432,   434,   436,   438,   441,   443,   447,   449,   453,   470,
     487,   504,   506,   510,   525,   553,   583,   611,   639,   665,
     695,   723,   755,   785,   815,   845,   875,   903,   934,   970,
    1004,  1030,  1058,  1086,  1116,  1149,  1177,  1205,  1233,  1263,
    1296,  1321,  1352,  1384,  1404,  1430,  1456,  1482,  1484,  1488,
    1490,  1494,  1499,  1504,  1509,  1514,  1519,  1524,  1529,  1534,
    1539,  1544,  1549,  1554,  1559,  1564,  1569,  1574,  1579,  1584,
    1589,  1594,  1599,  1604,  1609,  1622,  1627,  1640,  1645,  1650,
    1655,  1662,  1676,  1690,  1702,  1716,  1717,  1718,  1721,  1722,
    1723,  1726,  1732,  1744,  1757
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "K_ADD", "K_ADMIN", "K_ALL", "K_BACKUP",
  "K_CLIENT", "K_CLONE", "K_CLUSTER", "K_CLUSTERNAME", "K_COMMENT",
  "K_CONFIRMED", "K_CONFIG", "K_CONNINFO", "K_CONNRETRY", "K_COPY",
  "K_CREATE", "K_DROP", "K_ECHO", "K_ERROR", "K_EVENT", "K_EXECUTE",
  "K_EXIT", "K_FAILOVER", "K_FALSE", "K_FILENAME", "K_FINISH", "K_FOR",
  "K_FORWARD", "K_FULL", "K_FUNCTIONS", "K_ID", "K_INIT", "K_KEY",
  "K_LISTEN", "K_LOCK", "K_LOG", "K_MERGE", "K_MOVE", "K_NAME", "K_NEW",
  "K_NO", "K_NODE", "K_OFF", "K_OLD", "K_OMIT", "K_ON", "K_ONLY",
  "K_ORIGIN", "K_PATH", "K_PREPARE", "K_PROVIDER", "K_QUALIFIED",
  "K_RECEIVER", "K_REPAIR", "K_RESTART", "K_SCRIPT", "K_SECONDS",
  "K_SEQUENCE", "K_SERVER", "K_SET", "K_STORE", "K_SUBSCRIBE", "K_SUCCESS",
  "K_SWITCH", "K_TABLE", "K_TIMEOUT", "K_TRUE", "K_TRY", "K_UNINSTALL",
  "K_UNLOCK", "K_UNSUBSCRIBE", "K_UPDATE", "K_YES", "K_WAIT", "K_SYNC",
  "K_SLEEP", "T_IDENT", "T_LITERAL", "T_NUMBER", "'='", "';'", "'{'",
  "'}'", "'-'", "'('", "')'", "','", "$accept", "script",
  "hdr_clustername", "hdr_admconninfos", "hdr_admconninfo", "stmts",
  "stmt", "stmt_try", "try_on_error", "try_on_success", "try_stmts",
  "normal_stmt", "try_stmt", "stmt_echo", "stmt_exit", "stmt_restart_node",
  "exit_code", "stmt_error", "stmt_init_cluster", "stmt_store_node",
  "stmt_drop_node", "stmt_failed_node", "stmt_uninstall_node",
  "stmt_clone_prepare", "stmt_clone_finish", "stmt_store_path",
  "stmt_drop_path", "stmt_store_listen", "stmt_drop_listen",
  "stmt_create_set", "stmt_drop_set", "stmt_merge_set",
  "stmt_set_add_table", "stmt_set_add_sequence", "stmt_set_drop_table",
  "stmt_set_drop_sequence", "stmt_set_move_table",
  "stmt_set_move_sequence", "stmt_subscribe_set", "stmt_unsubscribe_set",
  "stmt_lock_set", "stmt_unlock_set", "stmt_move_set", "stmt_ddl_script",
  "stmt_update_functions", "stmt_repair_config", "stmt_wait_event",
  "stmt_wait_inside_try", "stmt_switch_log", "stmt_sync", "stmt_sleep",
  "option_list", "option_list_items", "option_list_item", "option_item_id",
  "option_item_literal", "option_item_yn", "option_item_yn_yes",
  "option_item_yn_no", "id", "ident", "literal", "lno", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,    61,    59,   123,   125,    45,    40,    41,    44
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    89,    90,    91,    92,    92,    93,    94,    94,    95,
      95,    95,    96,    96,    96,    96,    96,    97,    98,    99,
      99,   100,   100,   100,   100,   100,   100,   100,   100,   100,
     100,   100,   100,   100,   100,   100,   100,   100,   100,   100,
     100,   100,   100,   100,   100,   100,   100,   100,   100,   100,
     100,   100,   100,   100,   100,   100,   101,   101,   102,   103,
     104,   105,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   140,   141,
     141,   142,   142,   142,   142,   142,   142,   142,   142,   142,
     142,   142,   142,   142,   142,   142,   142,   142,   142,   142,
     142,   142,   142,   142,   142,   142,   142,   142,   142,   142,
     142,   143,   144,   145,   145,   146,   146,   146,   147,   147,
     147,   148,   149,   150,   151
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     3,     6,     1,     2,     8,     1,     2,     1,
       1,     1,     6,     7,     7,     6,     5,     5,     5,     1,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     4,     4,
       5,     1,     2,     2,     4,     4,     4,     3,     4,     4,
       4,     4,     4,     4,     4,     4,     4,     4,     5,     5,
       5,     5,     5,     5,     4,     4,     4,     4,     4,     4,
       4,     4,     5,     5,     4,     3,     3,     1,     4,     1,
       3,     3,     4,     4,     3,     3,     3,     4,     4,     4,
       4,     3,     3,     3,     3,     3,     4,     4,     4,     4,
       5,     3,     3,     3,     3,     3,     3,     4,     3,     5,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
     144,     0,   144,     0,     1,   144,     4,     0,     0,     2,
     144,     9,    10,    21,    22,    23,     0,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    11,    52,    54,    55,     0,
       5,     0,     0,     8,    53,    63,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   141,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   143,     0,     0,    61,     0,     0,    97,     0,    67,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   144,     0,     0,     0,     0,     0,
      95,    96,     0,   142,     0,    70,    69,    75,    74,    66,
      72,    76,    58,    89,    62,    59,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    99,    64,    86,    77,    88,    91,
       0,     0,     0,     0,     0,     0,     0,    73,    65,    71,
      84,    94,     0,    56,   144,    57,     0,    68,    87,    85,
      90,     0,     0,     3,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    60,    79,    78,    81,    80,    83,
      82,    16,    20,     0,    92,     0,     0,     0,   105,   131,
     114,   132,   126,   125,   115,   113,     0,     0,   123,   140,
     138,   139,   136,   137,   135,   122,   133,   134,     0,   101,
     121,     0,     0,     0,     0,     0,   124,   106,   112,   111,
     130,   104,     0,     0,   128,     0,    98,   100,     0,    12,
      15,     0,     0,   117,   102,   103,     0,     0,   109,   110,
     118,   107,   108,   116,   119,   127,     0,     0,     0,    14,
       0,    13,     0,     6,   129,   120,   144,   144,    93,     0,
       0,    17,    18
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,     2,     5,     6,     9,    10,    11,   279,   280,
     182,    12,   184,    13,    14,    15,    96,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,   185,    46,    47,
      48,    99,   163,   164,   238,   240,   255,   256,   257,   239,
     124,   241,    49
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -187
static const yytype_int16 yypact[] =
{
    -187,    47,  -187,    10,  -187,  -187,     7,    35,    12,  -187,
       4,  -187,  -187,  -187,  -187,  -187,   -29,  -187,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,   113,
    -187,   -15,     0,  -187,  -187,  -187,    19,    25,     1,    13,
      34,    -3,    37,    74,    38,    39,    48,    71,    65,    27,
      26,    49,    75,    41,    77,    61,    64,    95,    99,    37,
      37,  -187,   129,    56,    37,    37,    37,    37,    37,    37,
      37,  -187,    57,    37,  -187,    -3,    58,  -187,   269,  -187,
      37,    37,    37,    37,    37,   -15,   -11,     5,     8,    37,
      37,    37,    37,    37,  -187,    37,    37,    37,    37,   117,
    -187,  -187,   127,  -187,    60,  -187,  -187,  -187,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,   111,   101,    66,    67,
      69,    72,    73,   102,   107,    76,    78,   103,    79,    80,
      -7,   126,   114,   146,    83,    84,    85,    86,    89,   139,
     140,    92,   130,    93,   104,  -187,  -187,  -187,  -187,  -187,
     105,    37,    37,    37,    37,    37,    37,  -187,  -187,  -187,
    -187,  -187,    97,  -187,   110,  -187,   192,  -187,  -187,  -187,
    -187,    37,   115,  -187,   116,   118,   -15,    13,    22,    13,
     -15,   120,   144,    13,    43,   155,   -15,    13,   121,   122,
     123,   124,   125,    23,   -15,   -15,   -15,   -15,   131,   132,
     -15,   136,   137,   269,  -187,  -187,  -187,  -187,  -187,  -187,
    -187,   160,  -187,   180,  -187,    13,   -15,   -15,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,   -15,   141,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,   142,  -187,
    -187,   -15,   -15,   -15,   -15,    43,  -187,  -187,  -187,  -187,
    -187,  -187,   -15,   -15,  -187,   -15,  -187,  -187,     9,   171,
     173,   200,   145,  -187,  -187,  -187,   -15,    13,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,   143,   149,   165,  -187,
     213,  -187,    37,  -187,  -187,  -187,  -187,  -187,  -187,   150,
     151,  -187,  -187
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -187,  -187,  -187,   230,  -187,   -10,  -187,  -187,   -43,   -41,
      55,  -109,  -187,  -187,  -187,  -187,   147,  -187,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,
    -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,  -187,
    -187,   -78,    17,  -187,  -157,  -186,   -24,  -187,  -187,   -33,
    -187,   -56,    14
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -145
static const yytype_int16 yytable[] =
{
      53,   120,   121,    92,    -7,   183,   125,   126,   127,   128,
     129,   130,   131,   244,     3,   133,     7,   248,    82,     8,
       7,   260,   165,   166,   167,   168,   169,   242,   266,   296,
     106,   177,   178,   179,   180,   181,    87,   187,   188,   189,
     190,   243,   208,   245,    88,   107,    84,     4,   171,   259,
    -144,    89,    52,    54,   209,   172,   267,   268,   269,   270,
     271,   109,    90,   274,   173,    81,   108,   175,   249,   110,
      85,   174,   170,   297,   176,   183,   111,    94,    51,   283,
     284,    83,    95,   100,   104,   250,    86,   251,    -7,   285,
     252,    93,    91,   225,   226,   227,   228,   229,   230,   101,
     102,   305,    81,    81,   288,   289,   290,   291,   105,   103,
     112,   253,   113,   234,    55,   293,   294,   254,   295,    97,
     115,    56,   116,    98,   114,   117,   118,   119,   186,   304,
      57,    58,    59,   122,   123,    60,    61,    62,   191,   132,
     135,   192,   193,   194,   195,   201,    63,   196,   197,    64,
     198,    65,    66,   199,   200,   202,   205,   203,   210,   204,
     206,   207,   212,   211,   213,   214,   215,   216,    67,    68,
     217,   218,   219,   220,    69,    70,    71,   221,    72,   282,
     222,   231,    73,    74,    75,    76,    77,   224,    78,    79,
      80,   247,   223,    55,   -19,   258,   235,   236,   186,   237,
      56,   246,   261,   262,   263,   264,   265,   278,   281,    57,
      58,    59,   272,   273,    60,    61,    62,   275,   298,   276,
     300,   302,   286,   287,   308,    63,   306,   303,    64,   297,
      65,    66,   307,   296,   311,   312,    50,   301,   299,   232,
     277,   292,   134,     0,     0,     0,     0,    67,    68,     0,
       0,     0,     0,    69,    70,    71,     0,    72,     0,     0,
       0,     0,    74,    75,    76,    77,     0,   233,    79,    80,
       0,     0,   136,     0,     0,   137,   138,     0,     0,     0,
     139,   140,     0,   141,   142,     0,     0,     0,     0,     0,
     143,   144,     0,     0,     0,   145,   309,   310,   146,   147,
       0,   148,     0,   149,     0,     0,     0,     0,     0,     0,
     150,     0,   151,     0,   152,   153,     0,     0,   154,     0,
       0,   155,     0,   156,     0,     0,     0,   157,     0,   158,
     159,     0,     0,     0,     0,   160,   161,     0,     0,     0,
       0,     0,     0,     0,   162
};

static const yytype_int16 yycheck[] =
{
      10,    79,    80,    59,     0,   114,    84,    85,    86,    87,
      88,    89,    90,   199,     0,    93,     2,   203,    51,     9,
       6,   207,   100,   101,   102,   103,   104,     5,     5,    20,
       3,   109,   110,   111,   112,   113,    35,   115,   116,   117,
     118,   198,    49,   200,    43,    18,    27,     0,    59,   206,
      43,    50,    40,    82,    61,    66,   213,   214,   215,   216,
     217,    35,    61,   220,    59,    80,    39,    59,    25,    43,
      51,    66,   105,    64,    66,   184,    50,    80,    43,   236,
     237,    81,    85,     9,    13,    42,    61,    44,    84,   246,
      47,    57,    79,   171,   172,   173,   174,   175,   176,    61,
      61,   287,    80,    80,   261,   262,   263,   264,    43,    61,
      61,    68,    37,   191,     1,   272,   273,    74,   275,    82,
      43,     8,    61,    86,    83,    61,    31,    28,   114,   286,
      17,    18,    19,     4,    78,    22,    23,    24,    21,    82,
      82,    14,    82,    32,    43,    43,    33,    81,    81,    36,
      81,    38,    39,    81,    81,    48,    53,    81,    32,    81,
      81,    81,    16,    49,    81,    81,    81,    81,    55,    56,
      81,    32,    32,    81,    61,    62,    63,    47,    65,   235,
      87,    84,    69,    70,    71,    72,    73,    82,    75,    76,
      77,    47,    88,     1,    84,    40,    81,    81,   184,    81,
       8,    81,    81,    81,    81,    81,    81,    47,    28,    17,
      18,    19,    81,    81,    22,    23,    24,    81,    47,    82,
      47,    21,    81,    81,   302,    33,    83,    82,    36,    64,
      38,    39,    83,    20,    84,    84,     6,   280,   279,   184,
     223,   265,    95,    -1,    -1,    -1,    -1,    55,    56,    -1,
      -1,    -1,    -1,    61,    62,    63,    -1,    65,    -1,    -1,
      -1,    -1,    70,    71,    72,    73,    -1,    75,    76,    77,
      -1,    -1,     3,    -1,    -1,     6,     7,    -1,    -1,    -1,
      11,    12,    -1,    14,    15,    -1,    -1,    -1,    -1,    -1,
      21,    22,    -1,    -1,    -1,    26,   306,   307,    29,    30,
      -1,    32,    -1,    34,    -1,    -1,    -1,    -1,    -1,    -1,
      41,    -1,    43,    -1,    45,    46,    -1,    -1,    49,    -1,
      -1,    52,    -1,    54,    -1,    -1,    -1,    58,    -1,    60,
      61,    -1,    -1,    -1,    -1,    66,    67,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    75
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    90,    91,   151,     0,    92,    93,   151,     9,    94,
      95,    96,   100,   102,   103,   104,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   137,   138,   139,   151,
      92,    43,    40,    94,    82,     1,     8,    17,    18,    19,
      22,    23,    24,    33,    36,    38,    39,    55,    56,    61,
      62,    63,    65,    69,    70,    71,    72,    73,    75,    76,
      77,    80,   148,    81,    27,    51,    61,    35,    43,    50,
      61,    79,   150,    57,    80,    85,   105,    82,    86,   140,
       9,    61,    61,    61,    13,    43,     3,    18,    39,    35,
      43,    50,    61,    37,    83,    43,    61,    61,    31,    28,
     140,   140,     4,    78,   149,   140,   140,   140,   140,   140,
     140,   140,    82,   140,   105,    82,     3,     6,     7,    11,
      12,    14,    15,    21,    22,    26,    29,    30,    32,    34,
      41,    43,    45,    46,    49,    52,    54,    58,    60,    61,
      66,    67,    75,   141,   142,   140,   140,   140,   140,   140,
     148,    59,    66,    59,    66,    59,    66,   140,   140,   140,
     140,   140,    99,   100,   101,   136,   151,   140,   140,   140,
     140,    21,    14,    82,    32,    43,    81,    81,    81,    81,
      81,    43,    48,    81,    81,    53,    81,    81,    49,    61,
      32,    49,    16,    81,    81,    81,    81,    81,    32,    32,
      81,    47,    87,    88,    82,   140,   140,   140,   140,   140,
     140,    84,    99,    75,   140,    81,    81,    81,   143,   148,
     144,   150,     5,   143,   144,   143,    81,    47,   144,    25,
      42,    44,    47,    68,    74,   145,   146,   147,    40,   143,
     144,    81,    81,    81,    81,    81,     5,   143,   143,   143,
     143,   143,    81,    81,   143,    81,    82,   141,    47,    97,
      98,    28,   150,   143,   143,   143,    81,    81,   143,   143,
     143,   143,   145,   143,   143,   143,    20,    64,    47,    98,
      47,    97,    21,    82,   143,   144,    83,    83,   140,    94,
      94,    84,    84
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 218 "parser.y"
    {
						parser_script = (SlonikScript *)
								malloc(sizeof(SlonikScript));
						memset(parser_script, 0, sizeof(SlonikScript));

						parser_script->clustername		= (yyvsp[(1) - (3)].str);
						parser_script->filename			= current_file;
						parser_script->adminfo_list		= (yyvsp[(2) - (3)].adm_info);
						parser_script->script_stmts		= (yyvsp[(3) - (3)].statement);
					}
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 231 "parser.y"
    {
						(yyval.str) = (yyvsp[(5) - (6)].str);
					}
    break;

  case 4:

/* Line 1455 of yacc.c  */
#line 237 "parser.y"
    { (yyval.adm_info) = (yyvsp[(1) - (1)].adm_info); }
    break;

  case 5:

/* Line 1455 of yacc.c  */
#line 239 "parser.y"
    { (yyvsp[(1) - (2)].adm_info)->next = (yyvsp[(2) - (2)].adm_info); (yyval.adm_info) = (yyvsp[(1) - (2)].adm_info); }
    break;

  case 6:

/* Line 1455 of yacc.c  */
#line 243 "parser.y"
    {
						SlonikAdmInfo	   *new;

						new = (SlonikAdmInfo *)
								malloc(sizeof(SlonikAdmInfo));
						memset(new, 0, sizeof(SlonikAdmInfo));

						new->no_id			= (yyvsp[(3) - (8)].ival);
						new->stmt_filename	= current_file;
						new->stmt_lno		= (yyvsp[(1) - (8)].ival);
						new->conninfo		= (yyvsp[(7) - (8)].str);
						new->last_event		= -1;

						(yyval.adm_info) = new;
					}
    break;

  case 7:

/* Line 1455 of yacc.c  */
#line 261 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 8:

/* Line 1455 of yacc.c  */
#line 263 "parser.y"
    { (yyvsp[(1) - (2)].statement)->next = (yyvsp[(2) - (2)].statement); (yyval.statement) = (yyvsp[(1) - (2)].statement); }
    break;

  case 9:

/* Line 1455 of yacc.c  */
#line 267 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 10:

/* Line 1455 of yacc.c  */
#line 269 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 11:

/* Line 1455 of yacc.c  */
#line 271 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 12:

/* Line 1455 of yacc.c  */
#line 276 "parser.y"
    {
						SlonikStmt_try *new;

						new = (SlonikStmt_try *)
								malloc(sizeof(SlonikStmt_try));
						memset(new, 0, sizeof(SlonikStmt_try));
						new->hdr.stmt_type		= STMT_TRY;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (6)].ival);

						new->try_block = (yyvsp[(4) - (6)].statement);
						new->error_block = (yyvsp[(6) - (6)].statement);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 13:

/* Line 1455 of yacc.c  */
#line 293 "parser.y"
    {
						SlonikStmt_try *new;

						new = (SlonikStmt_try *)
								malloc(sizeof(SlonikStmt_try));
						memset(new, 0, sizeof(SlonikStmt_try));
						new->hdr.stmt_type		= STMT_TRY;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (7)].ival);

						new->try_block = (yyvsp[(4) - (7)].statement);
						new->success_block = (yyvsp[(6) - (7)].statement);
						new->error_block = (yyvsp[(7) - (7)].statement);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 14:

/* Line 1455 of yacc.c  */
#line 311 "parser.y"
    {
						SlonikStmt_try *new;

						new = (SlonikStmt_try *)
								malloc(sizeof(SlonikStmt_try));
						memset(new, 0, sizeof(SlonikStmt_try));
						new->hdr.stmt_type		= STMT_TRY;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (7)].ival);

						new->try_block = (yyvsp[(4) - (7)].statement);
						new->success_block = (yyvsp[(7) - (7)].statement);
						new->error_block = (yyvsp[(6) - (7)].statement);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 15:

/* Line 1455 of yacc.c  */
#line 329 "parser.y"
    {
						SlonikStmt_try *new;

						new = (SlonikStmt_try *)
								malloc(sizeof(SlonikStmt_try));
						memset(new, 0, sizeof(SlonikStmt_try));
						new->hdr.stmt_type		= STMT_TRY;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (6)].ival);

						new->try_block = (yyvsp[(4) - (6)].statement);
						new->success_block = (yyvsp[(6) - (6)].statement);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 16:

/* Line 1455 of yacc.c  */
#line 345 "parser.y"
    {
						SlonikStmt_try *new;

						new = (SlonikStmt_try *)
								malloc(sizeof(SlonikStmt_try));
						memset(new, 0, sizeof(SlonikStmt_try));
						new->hdr.stmt_type		= STMT_TRY;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						new->try_block = (yyvsp[(4) - (5)].statement);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 17:

/* Line 1455 of yacc.c  */
#line 362 "parser.y"
    { (yyval.statement) = (yyvsp[(4) - (5)].statement); }
    break;

  case 18:

/* Line 1455 of yacc.c  */
#line 365 "parser.y"
    { (yyval.statement) = (yyvsp[(4) - (5)].statement); }
    break;

  case 19:

/* Line 1455 of yacc.c  */
#line 369 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 20:

/* Line 1455 of yacc.c  */
#line 371 "parser.y"
    { (yyvsp[(1) - (2)].statement)->next = (yyvsp[(2) - (2)].statement); (yyval.statement) = (yyvsp[(1) - (2)].statement); }
    break;

  case 21:

/* Line 1455 of yacc.c  */
#line 375 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 22:

/* Line 1455 of yacc.c  */
#line 377 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 23:

/* Line 1455 of yacc.c  */
#line 379 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 24:

/* Line 1455 of yacc.c  */
#line 381 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 25:

/* Line 1455 of yacc.c  */
#line 383 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 26:

/* Line 1455 of yacc.c  */
#line 385 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 27:

/* Line 1455 of yacc.c  */
#line 387 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 28:

/* Line 1455 of yacc.c  */
#line 389 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 29:

/* Line 1455 of yacc.c  */
#line 391 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 30:

/* Line 1455 of yacc.c  */
#line 393 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 31:

/* Line 1455 of yacc.c  */
#line 395 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 397 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 399 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 401 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 403 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 405 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 407 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 409 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 411 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 413 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 415 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 417 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 419 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 421 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 423 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 425 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 427 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 429 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 431 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 433 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 435 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 437 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 439 "parser.y"
    { yyerrok;
						  (yyval.statement) = (yyvsp[(1) - (2)].statement); }
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 442 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 444 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 448 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 450 "parser.y"
    { (yyval.statement) = (yyvsp[(1) - (1)].statement); }
    break;

  case 58:

/* Line 1455 of yacc.c  */
#line 454 "parser.y"
    {
						SlonikStmt_echo *new;

						new = (SlonikStmt_echo *)
								malloc(sizeof(SlonikStmt_echo));
						memset(new, 0, sizeof(SlonikStmt_echo));
						new->hdr.stmt_type		= STMT_ECHO;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						new->str = (yyvsp[(3) - (4)].str);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 59:

/* Line 1455 of yacc.c  */
#line 471 "parser.y"
    {
						SlonikStmt_exit *new;

						new = (SlonikStmt_exit *)
								malloc(sizeof(SlonikStmt_exit));
						memset(new, 0, sizeof(SlonikStmt_exit));
						new->hdr.stmt_type		= STMT_EXIT;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						new->exitcode = (yyvsp[(3) - (4)].ival);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 488 "parser.y"
    {
						SlonikStmt_restart_node *new;

						new = (SlonikStmt_restart_node *)
								malloc(sizeof(SlonikStmt_restart_node));
						memset(new, 0, sizeof(SlonikStmt_restart_node));
						new->hdr.stmt_type		= STMT_RESTART_NODE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						new->no_id = (yyvsp[(4) - (5)].ival);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 505 "parser.y"
    { (yyval.ival) = strtol(yytext, NULL, 10); }
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 507 "parser.y"
    { (yyval.ival) = -(yyvsp[(2) - (2)].ival); }
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 511 "parser.y"
    {
						SlonikStmt *new;

						new = (SlonikStmt *)
								malloc(sizeof(SlonikStmt));
						memset(new, 0, sizeof(SlonikStmt));
						new->stmt_type		= STMT_ERROR;
						new->stmt_filename	= current_file;
						new->stmt_lno		= (yyvsp[(1) - (2)].ival);

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 526 "parser.y"
    {
						SlonikStmt_init_cluster *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_STR( O_COMMENT, "Initial Node" ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_init_cluster *)
								malloc(sizeof(SlonikStmt_init_cluster));
						memset(new, 0, sizeof(SlonikStmt_init_cluster));
						new->hdr.stmt_type		= STMT_INIT_CLUSTER;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
							new->no_comment		= opt[1].str;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 554 "parser.y"
    {
						SlonikStmt_store_node *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_STR( O_COMMENT, NULL ),
							STMT_OPTION_INT( O_EVENT_NODE, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_store_node *)
								malloc(sizeof(SlonikStmt_store_node));
						memset(new, 0, sizeof(SlonikStmt_store_node));
						new->hdr.stmt_type		= STMT_STORE_NODE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
							new->no_comment		= opt[1].str;
							new->ev_origin		= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 584 "parser.y"
    {
						SlonikStmt_drop_node *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_EVENT_NODE, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_drop_node *)
								malloc(sizeof(SlonikStmt_drop_node));
						memset(new, 0, sizeof(SlonikStmt_drop_node));
						new->hdr.stmt_type		= STMT_DROP_NODE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
							new->ev_origin		= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 67:

/* Line 1455 of yacc.c  */
#line 612 "parser.y"
    {
						SlonikStmt_failed_node *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_BACKUP_NODE, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_failed_node *)
								malloc(sizeof(SlonikStmt_failed_node));
						memset(new, 0, sizeof(SlonikStmt_failed_node));
						new->hdr.stmt_type		= STMT_FAILED_NODE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (3)].ival);

						if (assign_options(opt, (yyvsp[(3) - (3)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
							new->backup_node	= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 68:

/* Line 1455 of yacc.c  */
#line 640 "parser.y"
    {
						SlonikStmt_uninstall_node *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_uninstall_node *)
								malloc(sizeof(SlonikStmt_uninstall_node));
						memset(new, 0, sizeof(SlonikStmt_uninstall_node));
						new->hdr.stmt_type		= STMT_UNINSTALL_NODE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 69:

/* Line 1455 of yacc.c  */
#line 666 "parser.y"
    {
						SlonikStmt_clone_prepare *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_PROVIDER, -1 ),
							STMT_OPTION_STR( O_COMMENT, NULL ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_clone_prepare *)
								malloc(sizeof(SlonikStmt_clone_prepare));
						memset(new, 0, sizeof(SlonikStmt_clone_prepare));
						new->hdr.stmt_type		= STMT_CLONE_PREPARE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
							new->no_provider	= opt[1].ival;
							new->no_comment		= opt[2].str;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 70:

/* Line 1455 of yacc.c  */
#line 696 "parser.y"
    {
						SlonikStmt_clone_finish *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_PROVIDER, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_clone_finish *)
								malloc(sizeof(SlonikStmt_clone_finish));
						memset(new, 0, sizeof(SlonikStmt_clone_finish));
						new->hdr.stmt_type		= STMT_CLONE_FINISH;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
							new->no_provider	= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 71:

/* Line 1455 of yacc.c  */
#line 724 "parser.y"
    {
						SlonikStmt_store_path *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_SERVER, -1 ),
							STMT_OPTION_INT( O_CLIENT, -1 ),
							STMT_OPTION_STR( O_CONNINFO, NULL ),
							STMT_OPTION_INT( O_CONNRETRY, 10 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_store_path *)
								malloc(sizeof(SlonikStmt_store_path));
						memset(new, 0, sizeof(SlonikStmt_store_path));
						new->hdr.stmt_type		= STMT_STORE_PATH;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->pa_server		= opt[0].ival;
							new->pa_client		= opt[1].ival;
							new->pa_conninfo	= opt[2].str;
							new->pa_connretry	= opt[3].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 72:

/* Line 1455 of yacc.c  */
#line 756 "parser.y"
    {
						SlonikStmt_drop_path *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_SERVER, -1 ),
							STMT_OPTION_INT( O_CLIENT, -1 ),
							STMT_OPTION_INT( O_EVENT_NODE, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_drop_path *)
								malloc(sizeof(SlonikStmt_drop_path));
						memset(new, 0, sizeof(SlonikStmt_drop_path));
						new->hdr.stmt_type		= STMT_DROP_PATH;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->pa_server		= opt[0].ival;
							new->pa_client		= opt[1].ival;
							new->ev_origin		= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 73:

/* Line 1455 of yacc.c  */
#line 786 "parser.y"
    {
						SlonikStmt_store_listen *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_RECEIVER, -1 ),
							STMT_OPTION_INT( O_PROVIDER, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_store_listen *)
								malloc(sizeof(SlonikStmt_store_listen));
						memset(new, 0, sizeof(SlonikStmt_store_listen));
						new->hdr.stmt_type		= STMT_STORE_LISTEN;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->li_origin		= opt[0].ival;
							new->li_receiver	= opt[1].ival;
							new->li_provider	= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 74:

/* Line 1455 of yacc.c  */
#line 816 "parser.y"
    {
						SlonikStmt_drop_listen *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_RECEIVER, -1 ),
							STMT_OPTION_INT( O_PROVIDER, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_drop_listen *)
								malloc(sizeof(SlonikStmt_drop_listen));
						memset(new, 0, sizeof(SlonikStmt_drop_listen));
						new->hdr.stmt_type		= STMT_DROP_LISTEN;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->li_origin		= opt[0].ival;
							new->li_receiver	= opt[1].ival;
							new->li_provider	= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 846 "parser.y"
    {
						SlonikStmt_create_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_STR( O_COMMENT, NULL ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_create_set *)
								malloc(sizeof(SlonikStmt_create_set));
						memset(new, 0, sizeof(SlonikStmt_create_set));
						new->hdr.stmt_type		= STMT_CREATE_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->set_origin		= opt[1].ival;
							new->set_comment	= opt[2].str;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 876 "parser.y"
    {
						SlonikStmt_drop_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_drop_set *)
								malloc(sizeof(SlonikStmt_drop_set));
						memset(new, 0, sizeof(SlonikStmt_drop_set));
						new->hdr.stmt_type		= STMT_DROP_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->set_origin		= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 904 "parser.y"
    {
						SlonikStmt_merge_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_ADD_ID, -1 ),
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_merge_set *)
								malloc(sizeof(SlonikStmt_merge_set));
						memset(new, 0, sizeof(SlonikStmt_merge_set));
						new->hdr.stmt_type		= STMT_MERGE_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->add_id			= opt[1].ival;
							new->set_origin		= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 935 "parser.y"
    {
						SlonikStmt_set_add_table *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_SET_ID, -1 ),
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_STR( O_FQNAME, NULL ),
							STMT_OPTION_STR( O_USE_KEY, NULL ),
							STMT_OPTION_STR( O_COMMENT, NULL ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_set_add_table *)
								malloc(sizeof(SlonikStmt_set_add_table));
						memset(new, 0, sizeof(SlonikStmt_set_add_table));
						new->hdr.stmt_type		= STMT_SET_ADD_TABLE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						if (assign_options(opt, (yyvsp[(5) - (5)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->set_origin		= opt[1].ival;
							new->tab_id			= opt[2].ival;
							new->tab_fqname		= opt[3].str;
							new->use_key		= opt[4].str;
							new->tab_comment	= opt[5].str;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 971 "parser.y"
    {
						SlonikStmt_set_add_sequence *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_SET_ID, -1 ),
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_STR( O_FQNAME, NULL ),
							STMT_OPTION_STR( O_COMMENT, NULL ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_set_add_sequence *)
								malloc(sizeof(SlonikStmt_set_add_sequence));
						memset(new, 0, sizeof(SlonikStmt_set_add_sequence));
						new->hdr.stmt_type		= STMT_SET_ADD_SEQUENCE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						if (assign_options(opt, (yyvsp[(5) - (5)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->set_origin		= opt[1].ival;
							new->seq_id			= opt[2].ival;
							new->seq_fqname		= opt[3].str;
							new->seq_comment	= opt[4].str;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 80:

/* Line 1455 of yacc.c  */
#line 1005 "parser.y"
    {
						SlonikStmt_set_drop_table *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_END
						};
						new = (SlonikStmt_set_drop_table *)
							malloc(sizeof(SlonikStmt_set_drop_table));
						memset(new, 0, sizeof(SlonikStmt_set_drop_table));
						new->hdr.stmt_type		= STMT_SET_DROP_TABLE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						if (assign_options(opt, (yyvsp[(5) - (5)].opt_list)) == 0) {
							new->set_origin		= opt[0].ival;
							new->tab_id			= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1031 "parser.y"
    {
						SlonikStmt_set_drop_sequence *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_set_drop_sequence *)
								malloc(sizeof(SlonikStmt_set_drop_sequence));
						memset(new, 0, sizeof(SlonikStmt_set_drop_sequence));
						new->hdr.stmt_type		= STMT_SET_DROP_SEQUENCE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						if (assign_options(opt, (yyvsp[(5) - (5)].opt_list)) == 0)
						{
							new->set_origin		= opt[0].ival;
							new->seq_id			= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1059 "parser.y"
    {
						SlonikStmt_set_move_table *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_NEW_SET, -1 ),
							STMT_OPTION_END
						};
						new = (SlonikStmt_set_move_table *)
							malloc(sizeof(SlonikStmt_set_move_table));
						memset(new, 0, sizeof(SlonikStmt_set_move_table));
						new->hdr.stmt_type		= STMT_SET_MOVE_TABLE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						if (assign_options(opt, (yyvsp[(5) - (5)].opt_list)) == 0) {
							new->set_origin		= opt[0].ival;
							new->tab_id			= opt[1].ival;
							new->new_set_id		= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1087 "parser.y"
    {
						SlonikStmt_set_move_sequence *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_NEW_SET, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_set_move_sequence *)
								malloc(sizeof(SlonikStmt_set_move_sequence));
						memset(new, 0, sizeof(SlonikStmt_set_move_sequence));
						new->hdr.stmt_type		= STMT_SET_MOVE_SEQUENCE;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						if (assign_options(opt, (yyvsp[(5) - (5)].opt_list)) == 0)
						{
							new->set_origin		= opt[0].ival;
							new->seq_id			= opt[1].ival;
							new->new_set_id		= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1117 "parser.y"
    {
						SlonikStmt_subscribe_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_PROVIDER, -1 ),
							STMT_OPTION_INT( O_RECEIVER, -1 ),
							STMT_OPTION_YN( O_FORWARD, 0 ),
							STMT_OPTION_YN( O_OMIT_COPY, 0 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_subscribe_set *)
								malloc(sizeof(SlonikStmt_subscribe_set));
						memset(new, 0, sizeof(SlonikStmt_subscribe_set));
						new->hdr.stmt_type		= STMT_SUBSCRIBE_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->sub_setid		= opt[0].ival;
							new->sub_provider	= opt[1].ival;
							new->sub_receiver	= opt[2].ival;
							new->sub_forward	= opt[3].ival;
							new->omit_copy      = opt[4].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1150 "parser.y"
    {
						SlonikStmt_unsubscribe_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_RECEIVER, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_unsubscribe_set *)
								malloc(sizeof(SlonikStmt_unsubscribe_set));
						memset(new, 0, sizeof(SlonikStmt_unsubscribe_set));
						new->hdr.stmt_type		= STMT_UNSUBSCRIBE_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->sub_setid		= opt[0].ival;
							new->sub_receiver	= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1178 "parser.y"
    {
						SlonikStmt_lock_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_lock_set *)
								malloc(sizeof(SlonikStmt_lock_set));
						memset(new, 0, sizeof(SlonikStmt_lock_set));
						new->hdr.stmt_type		= STMT_LOCK_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->set_origin		= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 87:

/* Line 1455 of yacc.c  */
#line 1206 "parser.y"
    {
						SlonikStmt_unlock_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_unlock_set *)
								malloc(sizeof(SlonikStmt_unlock_set));
						memset(new, 0, sizeof(SlonikStmt_unlock_set));
						new->hdr.stmt_type		= STMT_UNLOCK_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->set_origin		= opt[1].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 88:

/* Line 1455 of yacc.c  */
#line 1234 "parser.y"
    {
						SlonikStmt_move_set *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_INT( O_OLD_ORIGIN, -1 ),
							STMT_OPTION_INT( O_NEW_ORIGIN, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_move_set *)
								malloc(sizeof(SlonikStmt_move_set));
						memset(new, 0, sizeof(SlonikStmt_move_set));
						new->hdr.stmt_type		= STMT_MOVE_SET;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->set_id			= opt[0].ival;
							new->old_origin		= opt[1].ival;
							new->new_origin		= opt[2].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 89:

/* Line 1455 of yacc.c  */
#line 1264 "parser.y"
    {
						SlonikStmt_ddl_script *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_SET_ID, -1 ),
							STMT_OPTION_STR( O_FILENAME, NULL ),
							STMT_OPTION_INT( O_EVENT_NODE, -1 ),
							STMT_OPTION_INT( O_EXECUTE_ONLY_ON, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_ddl_script *)
								malloc(sizeof(SlonikStmt_ddl_script));
						memset(new, 0, sizeof(SlonikStmt_ddl_script));
						new->hdr.stmt_type		= STMT_DDL_SCRIPT;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->ddl_setid		= opt[0].ival;
							new->ddl_fname		= opt[1].str;
							new->ev_origin		= opt[2].ival;
							new->only_on_node	= opt[3].ival;
							new->ddl_fd		= NULL;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 90:

/* Line 1455 of yacc.c  */
#line 1297 "parser.y"
    {
						SlonikStmt_update_functions *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_update_functions *)
								malloc(sizeof(SlonikStmt_update_functions));
						memset(new, 0, sizeof(SlonikStmt_update_functions));
						new->hdr.stmt_type		= STMT_UPDATE_FUNCTIONS;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 91:

/* Line 1455 of yacc.c  */
#line 1322 "parser.y"
    {
						SlonikStmt_repair_config *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_SET_ID, -1 ),
							STMT_OPTION_INT( O_EVENT_NODE, -1 ),
							STMT_OPTION_INT( O_EXECUTE_ONLY_ON, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_repair_config *)
							malloc(sizeof(SlonikStmt_repair_config));
						memset(new, 0, sizeof(SlonikStmt_repair_config));
                                                new->hdr.stmt_type              = STMT_REPAIR_CONFIG;
                                                new->hdr.stmt_filename  = current_file;
                                                new->hdr.stmt_lno               = (yyvsp[(1) - (4)].ival);

                                                if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->set_id		= opt[0].ival;
							new->ev_origin		= opt[1].ival;
							new->only_on_node	= opt[2].ival;
						}
						else
						{
							parser_errors++;
						}
                                                (yyval.statement) = (SlonikStmt *)new;
                                        }
    break;

  case 92:

/* Line 1455 of yacc.c  */
#line 1353 "parser.y"
    {
						SlonikStmt_wait_event *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ORIGIN, -1 ),
							STMT_OPTION_INT( O_WAIT_CONFIRMED, -1 ),
							STMT_OPTION_INT( O_WAIT_ON, -1 ),
							STMT_OPTION_INT( O_TIMEOUT, 600 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_wait_event *)
								malloc(sizeof(SlonikStmt_wait_event));
						memset(new, 0, sizeof(SlonikStmt_wait_event));
						new->hdr.stmt_type		= STMT_WAIT_EVENT;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						if (assign_options(opt, (yyvsp[(5) - (5)].opt_list)) == 0)
						{
							new->wait_origin	= opt[0].ival;
							new->wait_confirmed	= opt[1].ival;
							new->wait_on		= opt[2].ival;
							new->wait_timeout	= opt[3].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1385 "parser.y"
    {
						SlonikStmt_wait_event *new;

						new = (SlonikStmt_wait_event *)
								malloc(sizeof(SlonikStmt_wait_event));
						memset(new, 0, sizeof(SlonikStmt_wait_event));
						new->hdr.stmt_type		= STMT_WAIT_EVENT;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (5)].ival);

						fprintf(stderr, "%s:%d: wait for event "
								"not allowed inside try block\n",
								current_file, (yyvsp[(1) - (5)].ival));
						parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1405 "parser.y"
    {
						SlonikStmt_switch_log *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_switch_log *)
								malloc(sizeof(SlonikStmt_switch_log));
						memset(new, 0, sizeof(SlonikStmt_switch_log));
						new->hdr.stmt_type		= STMT_SWITCH_LOG;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (4)].ival);

						if (assign_options(opt, (yyvsp[(4) - (4)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1431 "parser.y"
    {
						SlonikStmt_sync *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_ID, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_sync *)
								malloc(sizeof(SlonikStmt_sync));
						memset(new, 0, sizeof(SlonikStmt_sync));
						new->hdr.stmt_type		= STMT_SYNC;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (3)].ival);

						if (assign_options(opt, (yyvsp[(3) - (3)].opt_list)) == 0)
						{
							new->no_id			= opt[0].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1457 "parser.y"
    {
						SlonikStmt_sleep *new;
						statement_option opt[] = {
							STMT_OPTION_INT( O_SECONDS, -1 ),
							STMT_OPTION_END
						};

						new = (SlonikStmt_sleep *)
								malloc(sizeof(SlonikStmt_sleep));
						memset(new, 0, sizeof(SlonikStmt_sleep));
						new->hdr.stmt_type		= STMT_SLEEP;
						new->hdr.stmt_filename	= current_file;
						new->hdr.stmt_lno		= (yyvsp[(1) - (3)].ival);

						if (assign_options(opt, (yyvsp[(3) - (3)].opt_list)) == 0)
						{
							new->num_secs			= opt[0].ival;
						}
						else
							parser_errors++;

						(yyval.statement) = (SlonikStmt *)new;
					}
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1483 "parser.y"
    { (yyval.opt_list) = NULL; }
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1485 "parser.y"
    { (yyval.opt_list) = (yyvsp[(2) - (4)].opt_list); }
    break;

  case 99:

/* Line 1455 of yacc.c  */
#line 1489 "parser.y"
    { (yyval.opt_list) = (yyvsp[(1) - (1)].opt_list); }
    break;

  case 100:

/* Line 1455 of yacc.c  */
#line 1491 "parser.y"
    { (yyvsp[(1) - (3)].opt_list)->next = (yyvsp[(3) - (3)].opt_list); (yyval.opt_list) = (yyvsp[(1) - (3)].opt_list); }
    break;

  case 101:

/* Line 1455 of yacc.c  */
#line 1495 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_ID;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1500 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_BACKUP_NODE;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1505 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_EVENT_NODE;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1510 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_SERVER;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1515 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_CLIENT;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1520 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_ORIGIN;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1525 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_OLD_ORIGIN;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1530 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_OMIT_COPY;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1535 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_NEW_ORIGIN;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1540 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_NEW_SET;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1545 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_RECEIVER;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1550 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_PROVIDER;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1555 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_CONNRETRY;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1560 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_COMMENT;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1565 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_CONNINFO;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1570 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_SET_ID;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1575 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_ADD_ID;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1580 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_NODE_ID;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1585 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_TAB_ID;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1590 "parser.y"
    {
						(yyvsp[(5) - (5)].opt_list)->opt_code	= O_FQNAME;
						(yyval.opt_list) = (yyvsp[(5) - (5)].opt_list);
					}
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1595 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_USE_KEY;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1600 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_FORWARD;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1605 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_FILENAME;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1610 "parser.y"
    {
						option_list *new;
						new = (option_list *)malloc(sizeof(option_list));

						new->opt_code	= O_ORIGIN;
						new->ival	= -2;
						new->str	= NULL;
						new->lineno	= yylineno;
						new->next	= NULL;

						(yyval.opt_list) = new;
					}
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1623 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_WAIT_CONFIRMED;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1628 "parser.y"
    {
						option_list *new;
						new = (option_list *)malloc(sizeof(option_list));

						new->opt_code	= O_WAIT_CONFIRMED;
						new->ival	= -2;
						new->str	= NULL;
						new->lineno	= yylineno;
						new->next	= NULL;

						(yyval.opt_list) = new;
					}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1641 "parser.y"
    {
						(yyvsp[(4) - (4)].opt_list)->opt_code	= O_WAIT_ON;
						(yyval.opt_list) = (yyvsp[(4) - (4)].opt_list);
					}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1646 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_TIMEOUT;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1651 "parser.y"
    {
						(yyvsp[(5) - (5)].opt_list)->opt_code	= O_EXECUTE_ONLY_ON;
						(yyval.opt_list) = (yyvsp[(5) - (5)].opt_list);
					}
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1656 "parser.y"
    {
						(yyvsp[(3) - (3)].opt_list)->opt_code	= O_SECONDS;
						(yyval.opt_list) = (yyvsp[(3) - (3)].opt_list);
					}
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1663 "parser.y"
    {
						option_list *new;
						new = (option_list *)malloc(sizeof(option_list));

						new->ival	= (yyvsp[(1) - (1)].ival);
						new->str	= NULL;
						new->lineno	= yylineno;
						new->next	= NULL;

						(yyval.opt_list) = new;
					}
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1677 "parser.y"
    {
						option_list *new;
						new = (option_list *)malloc(sizeof(option_list));

						new->ival	= -1;
						new->str	= (yyvsp[(1) - (1)].str);
						new->lineno	= yylineno;
						new->next	= NULL;

						(yyval.opt_list) = new;
					}
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1691 "parser.y"
    {
						option_list *new;
						new = (option_list *)malloc(sizeof(option_list));

						new->ival	= 1;
						new->str	= NULL;
						new->lineno	= yylineno;
						new->next	= NULL;

						(yyval.opt_list) = new;
					}
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1703 "parser.y"
    {
						option_list *new;
						new = (option_list *)malloc(sizeof(option_list));

						new->ival	= 0;
						new->str	= NULL;
						new->lineno	= yylineno;
						new->next	= NULL;

						(yyval.opt_list) = new;
					}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1727 "parser.y"
    {
						(yyval.ival) = strtol(yytext, NULL, 10);
					}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1733 "parser.y"
    {
						char   *ret;
						size_t toklen=yyget_leng();
						ret = malloc(yyget_leng() + 1);
						memcpy(ret, yytext, toklen);
						ret[toklen] = '\0';

						(yyval.str) = ret;
					}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1745 "parser.y"
    {
						char   *ret;
						size_t toklen=yyget_leng();
						ret = malloc(toklen + 1);
						memcpy(ret, yytext, toklen);
						ret[toklen] = '\0';

						(yyval.str) = ret;
					}
    break;

  case 144:

/* Line 1455 of yacc.c  */
#line 1757 "parser.y"
    { (yyval.ival) = yylineno; }
    break;



/* Line 1455 of yacc.c  */
#line 3943 "y.tab.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1675 of yacc.c  */
#line 1760 "parser.y"



/* ----------
 * option_str
 *
 *	Returns a string representation of a common option type
 * ----------
 */
static char *
option_str(option_code opt_code)
{
	switch (opt_code)
	{
		case O_ADD_ID:			return "add id";
		case O_BACKUP_NODE:		return "backup node";
		case O_CLIENT:			return "client";
		case O_COMMENT:			return "comment";
		case O_CONNINFO:		return "conninfo";
		case O_CONNRETRY:		return "connretry";
		case O_EVENT_NODE:		return "event node";
		case O_EXECUTE_ONLY_ON:	return "execute only on";
		case O_FILENAME:		return "filename";
		case O_FORWARD:			return "forward";
		case O_FQNAME:			return "full qualified name";
		case O_ID:				return "id";
		case O_NEW_ORIGIN:		return "new origin";
		case O_NEW_SET:			return "new set";
		case O_NODE_ID:			return "node id";
		case O_OLD_ORIGIN:		return "old origin";
		case O_OMIT_COPY:       return "omit copy";
		case O_ORIGIN:			return "origin";
		case O_PROVIDER:		return "provider";
		case O_RECEIVER:		return "receiver";
    	case O_SECONDS:         return "seconds";
		case O_SERVER:			return "server";
		case O_SET_ID:			return "set id";
		case O_TAB_ID:			return "table id";
		case O_TIMEOUT:			return "timeout";
		case O_USE_KEY:			return "key";
		case O_WAIT_CONFIRMED:	return "confirmed";
		case O_WAIT_ON:			return "wait on";
		case END_OF_OPTIONS:	return "???";
	}
	return "???";
}

/* ----------
 * assign_options
 *
 *	Try to map the actually given options to the statements specific
 *	possible options.
 * ----------
 */
static int
assign_options(statement_option *so, option_list *ol)
{
	statement_option	   *s_opt;
	option_list			   *u_opt;
	int						errors = 0;

	for (u_opt = ol; u_opt; u_opt = u_opt->next)
	{
		for (s_opt = so; s_opt->opt_code >= 0; s_opt++)
		{
			if (s_opt->opt_code == u_opt->opt_code)
				break;
		}

		if (s_opt->opt_code < 0)
		{
			fprintf(stderr, "%s:%d: option %s not allowed here\n",
					current_file, u_opt->lineno,
					option_str(u_opt->opt_code));
			errors++;
			continue;
		}

		if (s_opt->lineno >= 0)
		{
			fprintf(stderr, "%s:%d: option %s already defined on line %d\n",
					current_file, u_opt->lineno,
					option_str(u_opt->opt_code), s_opt->lineno);
			errors++;
			continue;
		}

		s_opt->lineno	= u_opt->lineno;
		s_opt->ival		= u_opt->ival;
		s_opt->str		= u_opt->str;
	}

	return errors;
}


void
yyerror(const char *msg)
{
	fprintf(stderr, "%s:%d: ERROR: %s at or near %s\n", current_file,
				yylineno, msg, yytext);
	parser_errors++;
}





/*
 * Local Variables:
 *  tab-width: 4
 *  c-indent-level: 4
 *  c-basic-offset: 4
 * End:
 */

